import React, { JSXElementConstructor } from "react";
export type Without<T, U> = {
    [P in Exclude<keyof T, keyof U>]?: never;
};
export type XOR<T, U> = T | U extends object ? (Without<T, U> & U) | (Without<U, T> & T) : T | U;
export type Writeable<T> = {
    -readonly [P in keyof T]: T[P];
};
export type ComponentClass = keyof JSX.IntrinsicElements | JSXElementConstructor<any>;
export type ReactAnyComponent = React.Component | React.ExoticComponent;
type Join<K, P> = K extends string | number ? P extends string | number ? `${K}${"" extends P ? "" : "."}${P}` : never : never;
type Prev = [never, 0, 1, 2, 3, ...0[]];
export type Leaves<T, D extends number = 3> = [D] extends [never] ? never : T extends object ? {
    [K in keyof T]-?: Join<K, Leaves<T[K], Prev[D]>>;
}[keyof T] : "";
export type RecursivePartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? RecursivePartial<U>[] : T[P] extends object ? RecursivePartial<T[P]> : T[P];
};
export type KeysStartingWith<Input extends object, Str extends string> = {
    [P in keyof Input]: P extends `${Str}${infer _X}` ? P : never;
}[keyof Input];
export type NonEmptyArray<T> = [T, ...T[]];
export {};
