import React, { PureComponent, RefCallback, RefObject } from "react";
import Field, { IInputProps } from "../elements/Field";
import { IValidationResult } from "../elements/Validation";
interface IProps extends Omit<IInputProps, "onValidate" | "label" | "element"> {
    id?: string;
    fieldRef?: RefCallback<Field> | RefObject<Field>;
    autoComplete?: string;
    value: string;
    password: string;
    label: string;
    labelRequired: string;
    labelInvalid: string;
    onChange(ev: React.FormEvent<HTMLElement>): void;
    onValidate?(result: IValidationResult): void;
}
declare class PassphraseConfirmField extends PureComponent<IProps> {
    static defaultProps: {
        label: string;
        labelRequired: string;
        labelInvalid: string;
    };
    private validate;
    private onValidate;
    render(): React.ReactNode;
}
export default PassphraseConfirmField;
