import React, { ReactNode } from "react";
import { IGeneratedSas, SasEvent } from "matrix-js-sdk/src/crypto/verification/SAS";
import { VerificationBase } from "matrix-js-sdk/src/crypto/verification/Base";
interface IProps {
    verifier: VerificationBase<SasEvent, any>;
    onFinished(verified?: boolean): void;
}
interface IState {
    phase: number;
    sasVerified: boolean;
    opponentProfile: {
        avatar_url?: string;
        displayname?: string;
    } | null;
    opponentProfileError: Error | null;
    sas: IGeneratedSas | null;
}
export default class IncomingSasDialog extends React.Component<IProps, IState> {
    private showSasEvent;
    constructor(props: IProps);
    componentWillUnmount(): void;
    private fetchOpponentProfile;
    private onFinished;
    private onCancelClick;
    private onContinueClick;
    private onVerifierShowSas;
    private onVerifierCancel;
    private onSasMatchesClick;
    private onVerifiedDoneClick;
    private renderPhaseStart;
    private renderPhaseShowSas;
    private renderPhaseWaitForPartnerToConfirm;
    private renderPhaseVerified;
    private renderPhaseCancelled;
    render(): ReactNode;
}
export {};
