import React from "react";
import { DialogContent, DialogProps } from "@matrix-org/react-sdk-module-api/lib/components/DialogContent";
import ScrollableBaseModal, { IScrollableBaseState } from "./ScrollableBaseModal";
interface IProps<C extends React.Component = React.Component> {
    contentFactory: (props: DialogProps, ref: React.Ref<C>) => React.ReactNode;
    contentProps: DialogProps;
    title: string;
    onFinished(ok?: boolean, model?: Awaited<ReturnType<DialogContent["trySubmit"]>>): void;
}
interface IState extends IScrollableBaseState {
}
export declare class ModuleUiDialog extends ScrollableBaseModal<IProps, IState> {
    private contentRef;
    constructor(props: IProps);
    protected submit(): Promise<void>;
    protected cancel(): void;
    protected renderContent(): React.ReactNode;
}
export {};
