import React from "react";
import { Room } from "matrix-js-sdk/src/models/room";
import type { Call } from "../../../models/Call";
import { MenuProps } from "../../structures/ContextMenu";
import { TagID } from "../../../stores/room-list/models";
interface Props {
    room: Room;
    showMessagePreview: boolean;
    isMinimized: boolean;
    tag: TagID;
}
interface ClassProps extends Props {
    hasLiveVoiceBroadcast: boolean;
}
type PartialDOMRect = Pick<DOMRect, "left" | "bottom">;
interface State {
    selected: boolean;
    notificationsMenuPosition: PartialDOMRect | null;
    generalMenuPosition: PartialDOMRect | null;
    call: Call | null;
    messagePreview?: string;
}
export declare const contextMenuBelow: (elementRect: PartialDOMRect) => MenuProps;
export declare class RoomTile extends React.PureComponent<ClassProps, State> {
    private dispatcherRef?;
    private roomTileRef;
    private notificationState;
    private roomProps;
    constructor(props: ClassProps);
    private onRoomNameUpdate;
    private onNotificationUpdate;
    private onRoomPropertyUpdate;
    private get showContextMenu();
    private get showMessagePreview();
    componentDidUpdate(prevProps: Readonly<Props>, prevState: Readonly<State>): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onAction;
    private onRoomPreviewChanged;
    private onCallChanged;
    private generatePreview;
    private scrollIntoView;
    private onTileClick;
    private onActiveRoomUpdate;
    private onNotificationsMenuOpenClick;
    private onCloseNotificationsMenu;
    private onGeneralMenuOpenClick;
    private onContextMenu;
    private onCloseGeneralMenu;
    private renderNotificationsMenu;
    private renderGeneralMenu;
    render(): React.ReactElement;
}
declare const RoomTileHOC: React.FC<Props>;
export default RoomTileHOC;
