import React from "react";
declare const FIELD_OLD_PASSWORD = "field_old_password";
declare const FIELD_NEW_PASSWORD = "field_new_password";
declare const FIELD_NEW_PASSWORD_CONFIRM = "field_new_password_confirm";
type FieldType = typeof FIELD_OLD_PASSWORD | typeof FIELD_NEW_PASSWORD | typeof FIELD_NEW_PASSWORD_CONFIRM;
declare enum Phase {
    Edit = "edit",
    Uploading = "uploading",
    Error = "error"
}
interface IProps {
    onFinished: (outcome: {
        didSetEmail?: boolean;
        /** Was one or more other devices logged out whilst changing the password */
        didLogoutOutOtherDevices: boolean;
    }) => void;
    onError: (error: {
        error: string;
    }) => void;
    rowClassName?: string;
    buttonClassName?: string;
    buttonKind?: string;
    buttonLabel?: string;
    confirm?: boolean;
    autoFocusNewPasswordInput?: boolean;
    className?: string;
    shouldAskForEmail?: boolean;
}
interface IState {
    fieldValid: Partial<Record<FieldType, boolean>>;
    phase: Phase;
    oldPassword: string;
    newPassword: string;
    newPasswordConfirm: string;
}
export default class ChangePassword extends React.Component<IProps, IState> {
    private [FIELD_OLD_PASSWORD];
    private [FIELD_NEW_PASSWORD];
    private [FIELD_NEW_PASSWORD_CONFIRM];
    static defaultProps: Partial<IProps>;
    constructor(props: IProps);
    private onChangePassword;
    private changePassword;
    private checkPassword;
    private optionallySetEmail;
    private onExportE2eKeysClicked;
    private markFieldValid;
    private onChangeOldPassword;
    private onOldPasswordValidate;
    private validateOldPasswordRules;
    private onChangeNewPassword;
    private onNewPasswordValidate;
    private onChangeNewPasswordConfirm;
    private onNewPasswordConfirmValidate;
    private validatePasswordConfirmRules;
    private onClickChange;
    private verifyFieldsBeforeSubmit;
    private allFieldsValid;
    private findFirstInvalidField;
    render(): React.ReactNode;
}
export {};
