import React from "react";
import { IKeyBackupInfo } from "matrix-js-sdk/src/crypto/keybackup";
import { TrustInfo } from "matrix-js-sdk/src/crypto/backup";
interface IState {
    loading: boolean;
    error: Error | null;
    backupKeyStored: boolean | null;
    backupKeyCached: boolean | null;
    backupKeyWellFormed: boolean | null;
    secretStorageKeyInAccount: boolean | null;
    secretStorageReady: boolean | null;
    backupInfo: IKeyBackupInfo | null;
    backupSigStatus: TrustInfo | null;
    sessionsRemaining: number;
}
export default class SecureBackupPanel extends React.PureComponent<{}, IState> {
    private unmounted;
    constructor(props: {});
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onKeyBackupSessionsRemaining;
    private onKeyBackupStatus;
    private checkKeyBackupStatus;
    private loadBackupStatus;
    private getUpdatedDiagnostics;
    private startNewBackup;
    private deleteBackup;
    private restoreBackup;
    private resetSecretStorage;
    render(): React.ReactNode;
}
export {};
